Subject: Re: bug#12215: CSET is unnecessarily confusing

From: Stefan Monnier <[email-masked]>
Date: Fri, 24 Aug 2012 17:12:27 -0400

> BVAR isn't needed right now.  It may be if someone else resurrects the
> other approach.  It's unlikely I ever will.

While it's not needed for the current concurrency branch, and I think
this implementation is fine for a first effort at adding concurrency,
I do believe that it will have to change in the longer term.

> Thanks for the quick response.  It seems that everybody here
> (Tom, Dmitry, Chong, Stefan) is on board with reverting
> the setter functions and accessor macros in the trunk.

No.  I'm actually quite happy keeping xVAR accessor macros (for
let-bindable vars that will/may require special handling in a future
concurrency implementation) and xSET setter macros (for let-bindable
vars and/or for write barriers), to make it easier to experiment
on branches.
But I'd like those macros to have a shape that we can live with.

        Stefan